CREATE procedure [C6StagingPeriodico].[RP_ST_anagrafica_promotori_pre_selective] as
begin 
	-- Log esecuzione
	INSERT INTO LOG_ESECUZIONE
		(Nome, Inizio, Nota)
	VALUES (
		'RP_ST_anagrafica_promotori_pre_selective',
		GETDATE(),
		'Elaborazione Trimestrale'
	)
	truncate table C6StagingPeriodico.RP_anagrafica_promotori
	insert into C6StagingPeriodico.RP_anagrafica_promotori
	--select * into C6StagingPeriodico.RP_anagrafica_promotori from [CONSEVO].ConsulenzaEvoluta.dbo.anagrafica_promotori
	select * from [CONSUNI_PERIODICO].ConsulenzaUnica.dbo.anagrafica_promotori
    -- UPDATE INSERITA IL 26/01/2016 PER RISOLVERE LA SEGNALAZIONE DI FOGA' (ID 152)
    update C6StagingPeriodico.RP_anagrafica_promotori
    set provincia = a.provincia,
    telefono1 = a.telefono1,
    indirizzo = a.indirizzo, 
    cap = a.cap,
    prefisso = a.prefisso,
    citta_nascita = a.citta_nascita,
    citta = a.citta
    from [CONSUNI].ConsulenzaUnica.dbo.anagrafica_promotori a
    inner join  C6StagingPeriodico.RP_anagrafica_promotori b
    on a.rete = b.rete and a.codage=b.codage
    where a.stato = b.stato
    -----------------------------------------------------------------------------------------------------------------
	-- Log esecuzione
	UPDATE
		LOG_ESECUZIONE
	SET
		Fine = GETDATE(),
		Tipo = 'INSERT',
		Righe = @@ROWCOUNT
	WHERE
		Nome = 'RP_ST_anagrafica_promotori_pre_selective' AND
		Inizio = (
			SELECT
				MAX(Inizio)
			FROM
				LOG_ESECUZIONE
			WHERE
				Nome = 'RP_ST_anagrafica_promotori_pre_selective'
		)
end